void httpServerHandlePage_main()
{
  httpServerSendHtmlHeadChunked();
  httpServer.sendContent_P(html_main_script);
  httpServer.sendContent_P(html_head_end);
  httpServer.sendContent_P(html_bodytag_jsinit);
  httpServerSendHtmlBodyPageheadChunked();
  httpServer.sendContent_P(html_main_body_app);
  httpServer.sendContent_P(html_main_body_sysinfo);
  if (httpIsAuthenticatedAdmin())
  {
    httpServer.sendContent_P(html_main_body_adminonly);
//#ifdef ENABLE_FEATURE_HTTP_UPDATER
//    if (confWeb.enableOTA)
//      httpServer.sendContent_P(html_main_body_adminonly_ota);
//#endif
//#ifdef ENABLE_FEATURE_FILESYSTEM_BROWSER
//    if (confWeb.FSbrowser)
//      httpServer.sendContent_P(html_main_body_adminonly_fsbrowser);
//#endif
#ifdef ENABLE_FEATURE_WEB_CONSOLE
    if (confWeb.wConsole)
      httpServer.sendContent_P(html_main_body_adminonly_console);
#endif
#ifdef ENABLE_FEATURE_WSCONSOLE
if (confWeb.wsConsole)
      httpServer.sendContent_P(html_main_body_adminonly_wsconsole);
#endif
  }
  httpServer.sendContent_P(html_main_body2);
  httpServerSendHtmlFooterChunked();
}


void httpServerHandlePage_restart()
{
  httpServerSendHtmlHeadChunked();
  httpServer.sendContent_P(html_head_end);
  httpServer.sendContent_P(html_bodytag);
  configChangedRestartRequired = false;
  httpServerSendHtmlBodyPageheadChunked();
  httpServer.sendContent_P(html_restarting_body);
  httpServerSendHtmlFooterChunked();
}



void httpServerHandlePage_sysInfo()
{
    httpServerSendHtmlHeadChunked();
    httpServer.sendContent_P(html_sysinfo_script);
    httpServer.sendContent_P(html_head_end);
    httpServer.sendContent_P(html_bodytag_jsinit);
    httpServerSendHtmlBodyPageheadChunked();
    httpServer.sendContent_P(html_sysinfo_body);
    httpServerSendHtmlFooterChunked();
}


